Name:           python-ftexplore
Version:        2.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ft-Explore allows to control motors and to check inputs by GUI and user-provided Python code

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://www.henrici.name/projects/ftexplore.html
Source:         %{pypi_source ftexplore}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ftexplore' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ftexplore
Summary:        %{summary}

%description -n python3-ftexplore %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ftexplore keyboard,remote,usb


%prep
%autosetup -p1 -n ftexplore-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x keyboard,remote,usb


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ftexplore -f %{pyproject_files}


%changelog
%autochangelog